lucene-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Michael McCandless <luc...@mikemccandless.com>
Subject Re: JDK 1.5 in Analyzers
Date Fri, 07 Aug 2009 16:17:09 GMT
I am SO looking forward to 3.0 ;)

I'll fix.

Mike

On Fri, Aug 7, 2009 at 10:34 AM, Grant Ingersoll<gsingers@apache.org> wrote:
> Looks like more 1.5 in contrib/analyzers, even though the smartcn build says
> 1.4:
>
> compile-core:
>    [mkdir] Created dir:
> /lucene/java/lucene-clean/build/contrib/analyzers/smartcn/classes/java
>    [javac] Compiling 18 source files to
> /lucene/java/lucene-clean/build/contrib/analyzers/smartcn/classes/java
>    [javac]
> /lucene/java/lucene-clean/contrib/analyzers/smartcn/src/java/org/apache/lucene/analysis/cn/smart/hhmm/SegToken.java:94:
> hashCode() in java.lang.Object cannot be applied to (char[])
>    [javac]     result = prime * result + Arrays.hashCode(charArray);
>    [javac]                                     ^
>    [javac]
> /lucene/java/lucene-clean/contrib/analyzers/smartcn/src/java/org/apache/lucene/analysis/cn/smart/hhmm/SegToken.java:94:
> incompatible types
>    [javac] found   : java.lang.String
>    [javac] required: int
>    [javac]     result = prime * result + Arrays.hashCode(charArray);
>    [javac]                             ^
>    [javac]
> /lucene/java/lucene-clean/contrib/analyzers/smartcn/src/java/org/apache/lucene/analysis/cn/smart/hhmm/SegTokenPair.java:54:
> hashCode() in java.lang.Object cannot be applied to (char[])
>    [javac]     result = prime * result + Arrays.hashCode(charArray);
>    [javac]                                     ^
>    [javac]
> /lucene/java/lucene-clean/contrib/analyzers/smartcn/src/java/org/apache/lucene/analysis/cn/smart/hhmm/SegTokenPair.java:54:
> incompatible types
>    [javac] found   : java.lang.String
>    [javac] required: int
>    [javac]     result = prime * result + Arrays.hashCode(charArray);
>    [javac]                             ^
>    [javac] Note:
> /lucene/java/lucene-clean/contrib/analyzers/smartcn/src/java/org/apache/lucene/analysis/cn/SmartChineseAnalyzer.java
> uses or overrides a deprecated API.
>    [javac] Note: Recompile with -deprecation for details.
>    [javac] 4 errors
>
>
> ---------------------------------------------------------------------
> To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
> For additional commands, e-mail: java-dev-help@lucene.apache.org
>
>

---------------------------------------------------------------------
To unsubscribe, e-mail: java-dev-unsubscribe@lucene.apache.org
For additional commands, e-mail: java-dev-help@lucene.apache.org


Mime
View raw message